Bug 1315860 - [abrt] setroubleshoot-server: service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set
[abrt] setroubleshoot-server: service.py:647:_message_cb:SystemError: <built-...
Status: CLOSED DUPLICATE of bug 1316617
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3d39da3bb52ff728109278f9b5c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 14:22 EST by piio
Modified: 2016-05-26 11:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-26 11:05:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (836 bytes, text/plain)
2016-03-08 14:22 EST, piio
no flags Details
File: environ (88 bytes, text/plain)
2016-03-08 14:22 EST, piio
no flags Details

  None (edit)
Description piio 2016-03-08 14:22:22 EST
Version-Release number of selected component:
setroubleshoot-server-3.3.4-1.fc24

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python3 -Es /usr/sbin/setroubleshootd -f ''
executable:     /usr/sbin/setroubleshootd
kernel:         4.5.0-0.rc7.git0.2.fc25.x86_64
runlevel:       unknown
type:           Python3
uid:            967

Truncated backtrace:
service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set

SystemExit

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.5/site-packages/dbus/service.py", line 647, in _message_cb
    if not isinstance(message, MethodCallMessage):
SystemError: <built-in function isinstance> returned a result with an error set

Local variables in innermost frame:
connection: <dbus._dbus.SystemBus (system) at 0x7f823b6f7e60>
message: <dbus.lowlevel.MethodCallMessage path: /org/fedoraproject/Setroubleshootd, iface: org.fedoraproject.SetroubleshootdIface, member: avc dest: org.fedoraproject.Setroubleshootd>
self: <setroubleshoot.server.SetroubleshootdDBusObject at /org/fedoraproject/Setroubleshootd at 0x7f82385d5c88>
Comment 1 piio 2016-03-08 14:22:27 EST
Created attachment 1134280 [details]
File: backtrace
Comment 2 piio 2016-03-08 14:22:29 EST
Created attachment 1134281 [details]
File: environ
Comment 3 Jakub Filak 2016-05-05 04:22:40 EDT
Similar problem has been detected:

I'm not sure how to reproduce this uncaught exception and I'm also not sure if the exception causes any harm as ti looks like that the exception occured while the program was exiting. But anyway, I'm reporting this proglem to let you know abot the problem as it has already happend 5 times on my machine.

reporter:       libreport-2.7.0.11.g53f27
cmdline:        /usr/bin/python3 -Es /usr/sbin/setroubleshootd -f ''
event_log:      2016-05-05-10:18:08> ('report_uReport' completed successfully)
executable:     /usr/sbin/setroubleshootd
kernel:         4.6.0-0.rc4.git0.1.fc25.x86_64
package:        setroubleshoot-server-3.3.5-3.fc25
pkg_vendor:     Fedora Project
reason:         service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set
reproducible:   The problem occurs regularly
runlevel:       N 5
type:           Python3
uid:            987
Comment 4 Petr Lautrbach 2016-05-26 11:05:31 EDT

*** This bug has been marked as a duplicate of bug 1316617 ***

Note You need to log in before you can comment on or make changes to this bug.